searchNodes=[{"doc":"","ref":"Circlex.html","title":"Circlex","type":"module"},{"doc":"A module to build requests for Circle API calls.","ref":"Circlex.Api.html","title":"Circlex.Api","type":"module"},{"doc":"","ref":"Circlex.Api.html#auth/0","title":"Circlex.Api.auth/0","type":"function"},{"doc":"","ref":"Circlex.Api.html#env_host/0","title":"Circlex.Api.env_host/0","type":"function"},{"doc":"API Client to access Wallets service from the Circle API. For instance, to get a list of wallets: &gt; Circlex.Api.Accounts.Wallets . list_wallets ( ) { :ok , [ % Circlex.Struct.Wallet { addresses : [ ] , balances : [ % Circlex.Struct.Amount { amount : &quot;150234.93&quot; , currency : &quot;USD&quot; } ] , description : &quot;Master Wallet&quot; , entity_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , type : &quot;merchant&quot; , wallet_id : &quot;1000216185&quot; } , % Circlex.Struct.Wallet { addresses : [ ] , balances : [ % Circlex.Struct.Amount { amount : &quot;50.00&quot; , currency : &quot;USD&quot; } ] , description : &quot;end_user_wallet&quot; , entity_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , type : &quot;merchant&quot; , wallet_id : &quot;1000216186&quot; } ] } To create a new wallet: &gt; Circlex.Api.Accounts.Wallets . create ( &quot;Test Wallet&quot; ) { :ok , % Circlex.Struct.Wallet { balances : [ ] , description : &quot;Test Wallet&quot; , entity_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , type : &quot;end_user_wallet&quot; , wallet_id : &quot;1000000500&quot; } } Wallet Reference: https://developers.circle.com/reference/accounts-wallets-create","ref":"Circlex.Api.Accounts.Wallets.html","title":"Circlex.Api.Accounts.Wallets","type":"module"},{"doc":"Creates an end user wallet. Reference: https://developers.circle.com/reference/accounts-wallets-create Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Accounts.Wallets . create ( &quot;Test Wallet&quot; , host : host ) { :ok , % Circlex.Struct.Wallet { balances : [ ] , description : &quot;Test Wallet&quot; , entity_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , type : &quot;end_user_wallet&quot; , wallet_id : &quot;1000000500&quot; } }","ref":"Circlex.Api.Accounts.Wallets.html#create/2","title":"Circlex.Api.Accounts.Wallets.create/2","type":"function"},{"doc":"Generate a blockchain address Reference: https://developers.circle.com/reference/accounts-wallets-addresses-create Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Accounts.Wallets . generate_address ( &quot;1000216185&quot; , &quot;USD&quot; , &quot;ETH&quot; , host : host ) { :ok , %{ address : &quot;0x6a9DE7dF6a986a0398348EFB0ECD91f341547b31&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } }","ref":"Circlex.Api.Accounts.Wallets.html#generate_address/4","title":"Circlex.Api.Accounts.Wallets.generate_address/4","type":"function"},{"doc":"Get a wallet Reference: https://developers.circle.com/reference/accounts-wallets-get-id Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Accounts.Wallets . get_wallet ( &quot;1000216185&quot; , host : host ) { :ok , % Circlex.Struct.Wallet { balances : [ % Circlex.Struct.Amount { amount : &quot;150234.93&quot; , currency : &quot;USD&quot; } ] , description : &quot;Master Wallet&quot; , entity_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , type : &quot;merchant&quot; , wallet_id : &quot;1000216185&quot; , addresses : [ ] , } }","ref":"Circlex.Api.Accounts.Wallets.html#get_wallet/2","title":"Circlex.Api.Accounts.Wallets.get_wallet/2","type":"function"},{"doc":"Retrieves a list of addresses associated with a wallet. Reference: https://developers.circle.com/reference/accounts-wallets-addresses-get Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Accounts.Wallets . list_addresses ( &quot;1000216185&quot; , host : host ) { :ok , [ %{ address : &quot;0x522C4caaf435FDF1822C7b6A081858344623Cf84&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } , %{ address : &quot;mpLQ2waXiQW6aAtnp9XMWh52R42k3QVjtU&quot; , chain : &quot;BTC&quot; , currency : &quot;BTC&quot; } , %{ address : &quot;0x6a9DE7dF6a986a0398348EFB0ECD91f341547b31&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } ] }","ref":"Circlex.Api.Accounts.Wallets.html#list_addresses/2","title":"Circlex.Api.Accounts.Wallets.list_addresses/2","type":"function"},{"doc":"Retrieves a list of a user's wallets. Reference: https://developers.circle.com/reference/accounts-wallets-get Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Accounts.Wallets . list_wallets ( host : host ) { :ok , [ % Circlex.Struct.Wallet { addresses : [ ] , balances : [ % Circlex.Struct.Amount { amount : &quot;150234.93&quot; , currency : &quot;USD&quot; } ] , description : &quot;Master Wallet&quot; , entity_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , type : &quot;merchant&quot; , wallet_id : &quot;1000216185&quot; } , % Circlex.Struct.Wallet { addresses : [ ] , balances : [ % Circlex.Struct.Amount { amount : &quot;50.00&quot; , currency : &quot;USD&quot; } ] , description : &quot;end_user_wallet&quot; , entity_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , type : &quot;merchant&quot; , wallet_id : &quot;1000216186&quot; } ] }","ref":"Circlex.Api.Accounts.Wallets.html#list_wallets/1","title":"Circlex.Api.Accounts.Wallets.list_wallets/1","type":"function"},{"doc":"API Client to the Channels API. Reference: https://developers.circle.com/reference/listchannels","ref":"Circlex.Api.Channels.html","title":"Circlex.Api.Channels","type":"module"},{"doc":"Retrieve a list of channels with details (e.g. cardDescriptor, achDescriptor, etc.). Reference: https://developers.circle.com/reference/listchannels Note: not currently implemented by Emulator. Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Channels . list_channels ( host : host ) { :error , %{ error : &quot;not found&quot; } }","ref":"Circlex.Api.Channels.html#list_channels/1","title":"Circlex.Api.Channels.list_channels/1","type":"function"},{"doc":"API Client to the Circle Core Addresses API. For example, to create a deposit address: &gt; Circlex.Api.Core.Addresses . generate_deposit_address ( &quot;USD&quot; , &quot;ETH&quot; ) { :ok , %{ address : &quot;0x6a9DE7dF6a986a0398348EFB0ECD91f341547b31&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } } To get a list of deposit addresses: &gt; Circlex.Api.Core.Addresses . list_deposit_addresses ( ) { :ok , [ %{ address : &quot;0x522C4caaf435FDF1822C7b6A081858344623Cf84&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } , %{ address : &quot;mpLQ2waXiQW6aAtnp9XMWh52R42k3QVjtU&quot; , chain : &quot;BTC&quot; , currency : &quot;BTC&quot; } , %{ address : &quot;0x6a9DE7dF6a986a0398348EFB0ECD91f341547b31&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } ] } Or to add a recipient address: &gt; Circlex.Api.Core.Addresses . add_recipient_address ( &quot;0x9999999999999999999999999999999999999999&quot; , &quot;USD&quot; , &quot;ETH&quot; , &quot;Nines&quot; , host : host ) { :ok , % Circlex.Struct.Recipient { address : &quot;0x9999999999999999999999999999999999999999&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; , description : &quot;Nines&quot; , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; } } Reference: https://developers.circle.com/reference/generatebusinessaccountdepositaddress","ref":"Circlex.Api.Core.Addresses.html","title":"Circlex.Api.Core.Addresses","type":"module"},{"doc":"Stores an external blockchain address. Reference: https://developers.circle.com/reference/createbusinessaccountrecipientaddress Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Addresses . add_recipient_address ( &quot;0x9999999999999999999999999999999999999999&quot; , &quot;USD&quot; , &quot;ETH&quot; , &quot;Nines&quot; , host : host ) { :ok , % Circlex.Struct.Recipient { address : &quot;0x9999999999999999999999999999999999999999&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; , description : &quot;Nines&quot; , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; } }","ref":"Circlex.Api.Core.Addresses.html#add_recipient_address/5","title":"Circlex.Api.Core.Addresses.add_recipient_address/5","type":"function"},{"doc":"Generates a new blockchain address for a wallet for a given currency/chain pair. Reference: https://developers.circle.com/reference/generatebusinessaccountdepositaddress Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Addresses . generate_deposit_address ( &quot;USD&quot; , &quot;ETH&quot; , host : host ) { :ok , %{ address : &quot;0x6a9DE7dF6a986a0398348EFB0ECD91f341547b31&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } }","ref":"Circlex.Api.Core.Addresses.html#generate_deposit_address/3","title":"Circlex.Api.Core.Addresses.generate_deposit_address/3","type":"function"},{"doc":"Get a list of deposit addresses. Reference: https://developers.circle.com/reference/getbusinessaccountdepositaddresses Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Addresses . list_deposit_addresses ( host : host ) { :ok , [ %{ address : &quot;0x522C4caaf435FDF1822C7b6A081858344623Cf84&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } , %{ address : &quot;mpLQ2waXiQW6aAtnp9XMWh52R42k3QVjtU&quot; , chain : &quot;BTC&quot; , currency : &quot;BTC&quot; } , %{ address : &quot;0x6a9DE7dF6a986a0398348EFB0ECD91f341547b31&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; } ] }","ref":"Circlex.Api.Core.Addresses.html#list_deposit_addresses/1","title":"Circlex.Api.Core.Addresses.list_deposit_addresses/1","type":"function"},{"doc":"Get a list of verified recipient addresses. Reference: https://developers.circle.com/reference/getbusinessaccountrecipientaddresses Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Addresses . list_recipient_address ( host : host ) { :ok , [ % Circlex.Struct.Recipient { address : &quot;0x9dfb4F706A4747355A7Ef65cd341a0289034A385&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; , description : &quot;Treasury Adaptor v1&quot; , id : &quot;7bfd6d2a-3682-52b5-a041-714af6913086&quot; } , % Circlex.Struct.Recipient { address : &quot;0x2Eb953F992D4fa6E769FABf25D8218f21b793558&quot; , chain : &quot;ETH&quot; , currency : &quot;USD&quot; , description : &quot;Fireblocks Address&quot; , id : &quot;b2cef1b0-6c54-52b8-9d62-71b85f5b51ed&quot; } ] }","ref":"Circlex.Api.Core.Addresses.html#list_recipient_address/1","title":"Circlex.Api.Core.Addresses.list_recipient_address/1","type":"function"},{"doc":"API Client to the Core Balances API. References: https://developers.circle.com/reference/getbusinessaccountbalances","ref":"Circlex.Api.Core.Balances.html","title":"Circlex.Api.Core.Balances","type":"module"},{"doc":"Retrieves the balance of funds that are available for use. Reference: https://developers.circle.com/reference/getbusinessaccountbalances Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Balances . get_balances ( host : host ) { :ok , %{ available : [ ] , unsettled : [ ] } }","ref":"Circlex.Api.Core.Balances.html#get_balances/1","title":"Circlex.Api.Core.Balances.get_balances/1","type":"function"},{"doc":"API Client to the Core Bank Accounts API. Reference: https://developers.circle.com/reference/createbusinessaccountwirebankaccount","ref":"Circlex.Api.Core.BankAccounts.html","title":"Circlex.Api.Core.BankAccounts","type":"module"},{"doc":"Create a bank account (wires). Reference: https://developers.circle.com/reference/payments-bank-accounts-wires-create Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; billing_details = %{ city : &quot;Toronto&quot; , country : &quot;CA&quot; , district : &quot;ON&quot; , line1 : &quot;100 Money St&quot; , name : &quot;Satoshi Nakamoto&quot; , postalCode : &quot;ON M5J 1S9&quot; } iex&gt; bank_address = %{ bankName : &quot;HSBC Canada&quot; , city : &quot;Toronto&quot; , country : &quot;CA&quot; } iex&gt; Circlex.Api.Core.BankAccounts . create ( &quot;1000000001&quot; , &quot;999999999&quot; , billing_details , bank_address , host : host ) { :ok , % Circlex.Struct.BankAccount { description : &quot;HSBC Canada 0001&quot; , bank_address : %{ &quot;bankName&quot; =&gt; &quot;HSBC Canada&quot; , &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; } , billing_details : %{ &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; , &quot;district&quot; =&gt; &quot;ON&quot; , &quot;line1&quot; =&gt; &quot;100 Money St&quot; , &quot;name&quot; =&gt; &quot;Satoshi Nakamoto&quot; , &quot;postalCode&quot; =&gt; &quot;ON M5J 1S9&quot; } , create_date : &quot;2022-07-17T08:59:41.344582Z&quot; , fingerprint : &quot;b09eb536-05ae-11ed-aaa8-6a1733211c01&quot; , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; , status : &quot;pending&quot; , tracking_ref : &quot;CIR3KXZZ00&quot; , update_date : &quot;2022-07-17T08:59:41.344582Z&quot; } }","ref":"Circlex.Api.Core.BankAccounts.html#create/5","title":"Circlex.Api.Core.BankAccounts.create/5","type":"function"},{"doc":"Get a bank account (wires) Reference: https://developers.circle.com/reference/getbusinessaccountwirebankaccounts Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.BankAccounts . get_bank_account ( &quot;fce6d303-2923-43cf-a66a-1e4690e08d1b&quot; , host : host ) { :ok , % Circlex.Struct.BankAccount { description : &quot;HSBC Canada ****4444&quot; , bank_address : %{ &quot;bankName&quot; =&gt; &quot;HSBC Canada&quot; , &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; } , billing_details : %{ &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; , &quot;district&quot; =&gt; &quot;ON&quot; , &quot;line1&quot; =&gt; &quot;100 Money St&quot; , &quot;name&quot; =&gt; &quot;Satoshi Nakamoto&quot; , &quot;postalCode&quot; =&gt; &quot;ON M5J 1S9&quot; } , create_date : &quot;2022-02-14T22:29:32.779Z&quot; , fingerprint : &quot;b296029f-8ec2-49bf-9b11-22ba09973c49&quot; , id : &quot;fce6d303-2923-43cf-a66a-1e4690e08d1b&quot; , status : &quot;complete&quot; , tracking_ref : &quot;CIR3KX3L99&quot; , update_date : &quot;2022-02-14T22:29:33.516Z&quot; } }","ref":"Circlex.Api.Core.BankAccounts.html#get_bank_account/2","title":"Circlex.Api.Core.BankAccounts.get_bank_account/2","type":"function"},{"doc":"Get a list of bank accounts (wires). Reference: https://developers.circle.com/reference/getbusinessaccountwirebankaccount Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.BankAccounts . list_bank_accounts ( host : host ) { :ok , [ % Circlex.Struct.BankAccount { description : &quot;HSBC Canada ****4444&quot; , bank_address : %{ &quot;bankName&quot; =&gt; &quot;HSBC Canada&quot; , &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; } , billing_details : %{ &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; , &quot;district&quot; =&gt; &quot;ON&quot; , &quot;line1&quot; =&gt; &quot;100 Money St&quot; , &quot;name&quot; =&gt; &quot;Satoshi Nakamoto&quot; , &quot;postalCode&quot; =&gt; &quot;ON M5J 1S9&quot; } , create_date : &quot;2022-02-14T22:29:32.779Z&quot; , fingerprint : &quot;b296029f-8ec2-49bf-9b11-22ba09973c49&quot; , id : &quot;fce6d303-2923-43cf-a66a-1e4690e08d1b&quot; , status : &quot;complete&quot; , tracking_ref : &quot;CIR3KX3L99&quot; , update_date : &quot;2022-02-14T22:29:33.516Z&quot; } ] }","ref":"Circlex.Api.Core.BankAccounts.html#list_bank_accounts/1","title":"Circlex.Api.Core.BankAccounts.list_bank_accounts/1","type":"function"},{"doc":"API Client to the Core Payouts API. Reference: https://developers.circle.com/reference/getbusinessaccountpayouts","ref":"Circlex.Api.Core.Payouts.html","title":"Circlex.Api.Core.Payouts","type":"module"},{"doc":"Create a payout. Reference: https://developers.circle.com/reference/createbusinessaccountpayout Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; destination = %{ address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : &quot;blockchain&quot; } iex&gt; amount = %{ amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } iex&gt; Circlex.Api.Core.Payouts . create ( destination , amount , host : host ) { :ok , % Circlex.Struct.Payout { adjustments : nil , amount : % Circlex.Struct.Amount { amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-17T08:59:41.344582Z&quot; , destination : % Circlex.Struct.SourceDest { type : :blockchain , address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; } , fees : % Circlex.Struct.Amount { amount : &quot;0.00&quot; , currency : &quot;USD&quot; } , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; , return : nil , risk_evaluation : nil , source_wallet_id : &quot;1000216185&quot; , status : &quot;pending&quot; , tracking_ref : &quot;CIR3KXZZ00&quot; , update_date : &quot;2022-07-17T08:59:41.344582Z&quot; } }","ref":"Circlex.Api.Core.Payouts.html#create/3","title":"Circlex.Api.Core.Payouts.create/3","type":"function"},{"doc":"Get a payout. Reference: https://developers.circle.com/reference/getbusinessaccountpayout Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Payouts . get_payout ( &quot;6e2e20bd-6ad6-4603-950b-64803647a4e6&quot; , host : host ) { :ok , % Circlex.Struct.Payout { adjustments : nil , amount : % Circlex.Struct.Amount { amount : &quot;12111.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T20:03:32.718Z&quot; , destination : % Circlex.Struct.SourceDest { type : :wire , id : &quot;4847be95-8b73-44cc-a329-549a25a776e2&quot; } , fees : % Circlex.Struct.Amount { amount : &quot;25.00&quot; , currency : &quot;USD&quot; } , id : &quot;6e2e20bd-6ad6-4603-950b-64803647a4e6&quot; , return : nil , risk_evaluation : nil , source_wallet_id : &quot;1000216185&quot; , status : &quot;complete&quot; , tracking_ref : nil , update_date : &quot;2022-07-15T20:20:32.255Z&quot; } }","ref":"Circlex.Api.Core.Payouts.html#get_payout/2","title":"Circlex.Api.Core.Payouts.get_payout/2","type":"function"},{"doc":"Get a list of payouts. Reference: https://developers.circle.com/reference/getbusinessaccountpayouts TODO: Filters Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Payouts . list_payouts ( host : host ) { :ok , [ % Circlex.Struct.Payout { adjustments : nil , amount : % Circlex.Struct.Amount { amount : &quot;12111.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T20:03:32.718Z&quot; , destination : % Circlex.Struct.SourceDest { type : :wire , id : &quot;4847be95-8b73-44cc-a329-549a25a776e2&quot; } , fees : % Circlex.Struct.Amount { amount : &quot;25.00&quot; , currency : &quot;USD&quot; } , id : &quot;6e2e20bd-6ad6-4603-950b-64803647a4e6&quot; , return : nil , risk_evaluation : nil , source_wallet_id : &quot;1000216185&quot; , status : &quot;complete&quot; , tracking_ref : nil , update_date : &quot;2022-07-15T20:20:32.255Z&quot; } ] }","ref":"Circlex.Api.Core.Payouts.html#list_payouts/1","title":"Circlex.Api.Core.Payouts.list_payouts/1","type":"function"},{"doc":"API Client to the Core Transfers API. Reference: https://developers.circle.com/reference/createbusinessaccounttransfer","ref":"Circlex.Api.Core.Transfers.html","title":"Circlex.Api.Core.Transfers","type":"module"},{"doc":"A transfer can be made from an existing business account to a blockchain location. Reference: https://developers.circle.com/reference/createbusinessaccounttransfer Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; destination = %{ address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : &quot;blockchain&quot; } iex&gt; amount = %{ amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } iex&gt; Circlex.Api.Core.Transfers . create ( destination , amount , host : host ) { :ok , % Circlex.Struct.Transfer { amount : % Circlex.Struct.Amount { amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } , create_date : nil , destination : % Circlex.Struct.SourceDest { address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : :blockchain } , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; , source : % Circlex.Struct.SourceDest { id : &quot;1000216185&quot; , type : :wallet } , status : nil , transaction_hash : nil } }","ref":"Circlex.Api.Core.Transfers.html#create/3","title":"Circlex.Api.Core.Transfers.create/3","type":"function"},{"doc":"Get a transfer. Reference: https://developers.circle.com/reference/getbusinessaccounttransfer Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Transfers . get_transfer ( &quot;83f18616-0f26-499a-aa8f-4fa4d563b974&quot; , host : host ) { :ok , % Circlex.Struct.Transfer { amount : % Circlex.Struct.Amount { amount : &quot;8999998.14&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-05-05T16:49:04.541Z&quot; , destination : % Circlex.Struct.SourceDest { address : &quot;0x2eb953f992d4fa6e769fabf25d8218f21b793558&quot; , chain : &quot;ETH&quot; , type : :blockchain } , id : &quot;83f18616-0f26-499a-aa8f-4fa4d563b974&quot; , source : % Circlex.Struct.SourceDest { id : &quot;1000216185&quot; , type : :wallet } , status : &quot;complete&quot; , transaction_hash : &quot;0xef6cf276368eb0e36162074b1c17a3256df14635c8603f076e826650c9f8a9ff&quot; } }","ref":"Circlex.Api.Core.Transfers.html#get_transfer/2","title":"Circlex.Api.Core.Transfers.get_transfer/2","type":"function"},{"doc":"Searches for transfers from your business account. Reference: https://developers.circle.com/reference/searchbusinessaccounttransfers TODO: Filters Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Core.Transfers . list_transfers ( host : host ) { :ok , [ % Circlex.Struct.Transfer { amount : % Circlex.Struct.Amount { amount : &quot;8999998.14&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-05-05T16:49:04.541Z&quot; , destination : % Circlex.Struct.SourceDest { address : &quot;0x2eb953f992d4fa6e769fabf25d8218f21b793558&quot; , chain : &quot;ETH&quot; , type : :blockchain } , id : &quot;83f18616-0f26-499a-aa8f-4fa4d563b974&quot; , source : % Circlex.Struct.SourceDest { id : &quot;1000216185&quot; , type : :wallet } , status : &quot;complete&quot; , transaction_hash : &quot;0xef6cf276368eb0e36162074b1c17a3256df14635c8603f076e826650c9f8a9ff&quot; } ] }","ref":"Circlex.Api.Core.Transfers.html#list_transfers/1","title":"Circlex.Api.Core.Transfers.list_transfers/1","type":"function"},{"doc":"API Client to the Encryption API. Note: not currently implemented. Reference: https://developers.circle.com/reference/getpublickey","ref":"Circlex.Api.Encryption.html","title":"Circlex.Api.Encryption","type":"module"},{"doc":"Retrieves an RSA public key to be used in encrypting data sent to the API. Reference: https://developers.circle.com/reference/getpublickey Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Encryption . get_public_key ( host : host ) { :error , %{ error : &quot;Not implemented by Circlex client&quot; } }","ref":"Circlex.Api.Encryption.html#get_public_key/1","title":"Circlex.Api.Encryption.get_public_key/1","type":"function"},{"doc":"API Client to the Health API. Reference: https://developers.circle.com/reference/ping","ref":"Circlex.Api.Health.html","title":"Circlex.Api.Health","type":"module"},{"doc":"Pings a server to check connectivity. Reference: https://developers.circle.com/reference/ping Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Health . ping ( host : host ) { :ok , %{ message : &quot;pong&quot; } }","ref":"Circlex.Api.Health.html#ping/1","title":"Circlex.Api.Health.ping/1","type":"function"},{"doc":"API Client to the Management API. Reference: https://developers.circle.com/reference/getconfig","ref":"Circlex.Api.Management.html","title":"Circlex.Api.Management","type":"module"},{"doc":"Retrieves general configuration information. Reference: https://developers.circle.com/reference/getconfig Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Management . get_config ( host : host ) { :ok , %{ payments : %{ master_wallet_id : &quot;1000216185&quot; } } } iex&gt; host = Circlex.Test . start_server ( no_load : true ) iex&gt; Circlex.Api.Management . get_config ( host : host ) { :error , %{ error : &quot;System Configuration Issue: no main \\&quot; merchant \\&quot; wallet specified&quot; } }","ref":"Circlex.Api.Management.html#get_config/1","title":"Circlex.Api.Management.get_config/1","type":"function"},{"doc":"API Client to the Payments Bank Accounts API. Reference: https://developers.circle.com/reference/payments-bank-accounts-wires-create","ref":"Circlex.Api.Payments.BankAccounts.html","title":"Circlex.Api.Payments.BankAccounts","type":"module"},{"doc":"Create a bank account (wires). Reference: https://developers.circle.com/reference/payments-bank-accounts-wires-create Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; billing_details = %{ city : &quot;Toronto&quot; , country : &quot;CA&quot; , district : &quot;ON&quot; , line1 : &quot;100 Money St&quot; , name : &quot;Satoshi Nakamoto&quot; , postalCode : &quot;ON M5J 1S9&quot; } iex&gt; bank_address = %{ bankName : &quot;HSBC Canada&quot; , city : &quot;Toronto&quot; , country : &quot;CA&quot; } iex&gt; Circlex.Api.Payments.BankAccounts . create ( &quot;1000000001&quot; , &quot;999999999&quot; , billing_details , bank_address , host : host ) { :ok , % Circlex.Struct.BankAccount { description : &quot;HSBC Canada 0001&quot; , bank_address : %{ &quot;bankName&quot; =&gt; &quot;HSBC Canada&quot; , &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; } , billing_details : %{ &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; , &quot;district&quot; =&gt; &quot;ON&quot; , &quot;line1&quot; =&gt; &quot;100 Money St&quot; , &quot;name&quot; =&gt; &quot;Satoshi Nakamoto&quot; , &quot;postalCode&quot; =&gt; &quot;ON M5J 1S9&quot; } , create_date : &quot;2022-07-17T08:59:41.344582Z&quot; , fingerprint : &quot;b09eb536-05ae-11ed-aaa8-6a1733211c01&quot; , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; , status : &quot;pending&quot; , tracking_ref : &quot;CIR3KXZZ00&quot; , update_date : &quot;2022-07-17T08:59:41.344582Z&quot; } }","ref":"Circlex.Api.Payments.BankAccounts.html#create/5","title":"Circlex.Api.Payments.BankAccounts.create/5","type":"function"},{"doc":"Get a bank account (wires) Reference: https://developers.circle.com/reference/getbusinessaccountwirebankaccounts Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payments.BankAccounts . get_bank_account ( &quot;fce6d303-2923-43cf-a66a-1e4690e08d1b&quot; , host : host ) { :ok , % Circlex.Struct.BankAccount { description : &quot;HSBC Canada ****4444&quot; , bank_address : %{ &quot;bankName&quot; =&gt; &quot;HSBC Canada&quot; , &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; } , billing_details : %{ &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; , &quot;district&quot; =&gt; &quot;ON&quot; , &quot;line1&quot; =&gt; &quot;100 Money St&quot; , &quot;name&quot; =&gt; &quot;Satoshi Nakamoto&quot; , &quot;postalCode&quot; =&gt; &quot;ON M5J 1S9&quot; } , create_date : &quot;2022-02-14T22:29:32.779Z&quot; , fingerprint : &quot;b296029f-8ec2-49bf-9b11-22ba09973c49&quot; , id : &quot;fce6d303-2923-43cf-a66a-1e4690e08d1b&quot; , status : &quot;complete&quot; , tracking_ref : &quot;CIR3KX3L99&quot; , update_date : &quot;2022-02-14T22:29:33.516Z&quot; } }","ref":"Circlex.Api.Payments.BankAccounts.html#get_bank_account/2","title":"Circlex.Api.Payments.BankAccounts.get_bank_account/2","type":"function"},{"doc":"Get a list of bank accounts (wires). Reference: https://developers.circle.com/reference/getbusinessaccountwirebankaccount Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payments.BankAccounts . list_bank_accounts ( host : host ) { :ok , [ % Circlex.Struct.BankAccount { description : &quot;HSBC Canada ****4444&quot; , bank_address : %{ &quot;bankName&quot; =&gt; &quot;HSBC Canada&quot; , &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; } , billing_details : %{ &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; , &quot;district&quot; =&gt; &quot;ON&quot; , &quot;line1&quot; =&gt; &quot;100 Money St&quot; , &quot;name&quot; =&gt; &quot;Satoshi Nakamoto&quot; , &quot;postalCode&quot; =&gt; &quot;ON M5J 1S9&quot; } , create_date : &quot;2022-02-14T22:29:32.779Z&quot; , fingerprint : &quot;b296029f-8ec2-49bf-9b11-22ba09973c49&quot; , id : &quot;fce6d303-2923-43cf-a66a-1e4690e08d1b&quot; , status : &quot;complete&quot; , tracking_ref : &quot;CIR3KX3L99&quot; , update_date : &quot;2022-02-14T22:29:33.516Z&quot; } ] }","ref":"Circlex.Api.Payments.BankAccounts.html#list_bank_accounts/1","title":"Circlex.Api.Payments.BankAccounts.list_bank_accounts/1","type":"function"},{"doc":"API Client to the Payments Payments API. Reference: https://developers.circle.com/reference/payments-payments-get","ref":"Circlex.Api.Payments.Payments.html","title":"Circlex.Api.Payments.Payments","type":"module"},{"doc":"Get a payment. Reference: https://developers.circle.com/reference/payments-payments-get-id Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payments.Payments . get_payment ( &quot;24c26e1b-8666-46fa-96ea-892afcadb9bb&quot; , host : host ) { :ok , % Circlex.Struct.Payment { amount : % Circlex.Struct.Amount { amount : &quot;3.14&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T21:10:03.635Z&quot; , description : &quot;Merchant Push Payment&quot; , fees : % Circlex.Struct.Amount { amount : &quot;2.00&quot; , currency : &quot;USD&quot; } , id : &quot;24c26e1b-8666-46fa-96ea-892afcadb9bb&quot; , merchant_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , merchant_wallet_id : &quot;1000216185&quot; , refunds : [ ] , source : % Circlex.Struct.SourceDest { address : nil , address_id : nil , address_tag : nil , chain : nil , id : &quot;ad823515-3b51-4061-a016-d626e3cd105e&quot; , type : :wire } , status : &quot;paid&quot; , type : &quot;payment&quot; , update_date : &quot;2022-07-15T21:11:03.863523Z&quot; } }","ref":"Circlex.Api.Payments.Payments.html#get_payment/2","title":"Circlex.Api.Payments.Payments.get_payment/2","type":"function"},{"doc":"Get a list of payments. Reference: https://developers.circle.com/reference/payments-payments-get TODO: Filters Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payments.Payments . list_payments ( host : host ) { :ok , [ % Circlex.Struct.Payment { amount : % Circlex.Struct.Amount { amount : &quot;3.14&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T21:10:03.635Z&quot; , description : &quot;Merchant Push Payment&quot; , fees : % Circlex.Struct.Amount { amount : &quot;2.00&quot; , currency : &quot;USD&quot; } , id : &quot;24c26e1b-8666-46fa-96ea-892afcadb9bb&quot; , merchant_id : &quot;5dfa1127-050b-4ba6-b9b5-b2015aa4c882&quot; , merchant_wallet_id : &quot;1000216185&quot; , refunds : [ ] , source : % Circlex.Struct.SourceDest { address : nil , address_id : nil , address_tag : nil , chain : nil , id : &quot;ad823515-3b51-4061-a016-d626e3cd105e&quot; , type : :wire } , status : &quot;paid&quot; , type : &quot;payment&quot; , update_date : &quot;2022-07-15T21:11:03.863523Z&quot; } ] }","ref":"Circlex.Api.Payments.Payments.html#list_payments/1","title":"Circlex.Api.Payments.Payments.list_payments/1","type":"function"},{"doc":"API Client to the Payouts Bank Accounts API. Reference: https://developers.circle.com/reference/payments-bank-accounts-wires-create","ref":"Circlex.Api.Payouts.BankAccounts.html","title":"Circlex.Api.Payouts.BankAccounts","type":"module"},{"doc":"Create a bank account (wires). Reference: https://developers.circle.com/reference/payouts-bank-accounts-wires-create Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; billing_details = %{ city : &quot;Toronto&quot; , country : &quot;CA&quot; , district : &quot;ON&quot; , line1 : &quot;100 Money St&quot; , name : &quot;Satoshi Nakamoto&quot; , postalCode : &quot;ON M5J 1S9&quot; } iex&gt; bank_address = %{ bankName : &quot;HSBC Canada&quot; , city : &quot;Toronto&quot; , country : &quot;CA&quot; } iex&gt; Circlex.Api.Payouts.BankAccounts . create ( &quot;1000000001&quot; , &quot;999999999&quot; , billing_details , bank_address , host : host ) { :ok , % Circlex.Struct.BankAccount { description : &quot;HSBC Canada 0001&quot; , bank_address : %{ &quot;bankName&quot; =&gt; &quot;HSBC Canada&quot; , &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; } , billing_details : %{ &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; , &quot;district&quot; =&gt; &quot;ON&quot; , &quot;line1&quot; =&gt; &quot;100 Money St&quot; , &quot;name&quot; =&gt; &quot;Satoshi Nakamoto&quot; , &quot;postalCode&quot; =&gt; &quot;ON M5J 1S9&quot; } , create_date : &quot;2022-07-17T08:59:41.344582Z&quot; , fingerprint : &quot;b09eb536-05ae-11ed-aaa8-6a1733211c01&quot; , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; , status : &quot;pending&quot; , tracking_ref : &quot;CIR3KXZZ00&quot; , update_date : &quot;2022-07-17T08:59:41.344582Z&quot; } }","ref":"Circlex.Api.Payouts.BankAccounts.html#create/5","title":"Circlex.Api.Payouts.BankAccounts.create/5","type":"function"},{"doc":"Get a bank account (wires) Reference: https://developers.circle.com/reference/payouts-bank-accounts-wires-get-id Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payouts.BankAccounts . get_bank_account ( &quot;fce6d303-2923-43cf-a66a-1e4690e08d1b&quot; , host : host ) { :ok , % Circlex.Struct.BankAccount { description : &quot;HSBC Canada ****4444&quot; , bank_address : %{ &quot;bankName&quot; =&gt; &quot;HSBC Canada&quot; , &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; } , billing_details : %{ &quot;city&quot; =&gt; &quot;Toronto&quot; , &quot;country&quot; =&gt; &quot;CA&quot; , &quot;district&quot; =&gt; &quot;ON&quot; , &quot;line1&quot; =&gt; &quot;100 Money St&quot; , &quot;name&quot; =&gt; &quot;Satoshi Nakamoto&quot; , &quot;postalCode&quot; =&gt; &quot;ON M5J 1S9&quot; } , create_date : &quot;2022-02-14T22:29:32.779Z&quot; , fingerprint : &quot;b296029f-8ec2-49bf-9b11-22ba09973c49&quot; , id : &quot;fce6d303-2923-43cf-a66a-1e4690e08d1b&quot; , status : &quot;complete&quot; , tracking_ref : &quot;CIR3KX3L99&quot; , update_date : &quot;2022-02-14T22:29:33.516Z&quot; } }","ref":"Circlex.Api.Payouts.BankAccounts.html#get_bank_account/2","title":"Circlex.Api.Payouts.BankAccounts.get_bank_account/2","type":"function"},{"doc":"API Client to the Payouts Payouts API. Reference: https://developers.circle.com/reference/payouts-payouts-create","ref":"Circlex.Api.Payouts.Payouts.html","title":"Circlex.Api.Payouts.Payouts","type":"module"},{"doc":"Create a payout. Reference: https://developers.circle.com/reference/payouts-payouts-create Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; source = %{ id : &quot;1000788811&quot; , type : &quot;wallet&quot; } iex&gt; destination = %{ address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : &quot;blockchain&quot; } iex&gt; amount = %{ amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } iex&gt; metadata = %{ beneficiaryEmail : &quot;tom@example.com&quot; } iex&gt; Circlex.Api.Payouts.Payouts . create ( source , destination , amount , metadata , host : host ) { :ok , % Circlex.Struct.Payout { adjustments : nil , amount : % Circlex.Struct.Amount { amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-17T08:59:41.344582Z&quot; , destination : % Circlex.Struct.SourceDest { address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : :blockchain } , fees : % Circlex.Struct.Amount { amount : &quot;0.00&quot; , currency : &quot;USD&quot; } , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; , return : nil , risk_evaluation : nil , source_wallet_id : &quot;1000788811&quot; , status : &quot;pending&quot; , tracking_ref : &quot;CIR3KXZZ00&quot; , update_date : &quot;2022-07-17T08:59:41.344582Z&quot; } }","ref":"Circlex.Api.Payouts.Payouts.html#create/5","title":"Circlex.Api.Payouts.Payouts.create/5","type":"function"},{"doc":"Get a payout. Reference: https://developers.circle.com/reference/payouts-payouts-get-id Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payouts.Payouts . get_payout ( &quot;5e2e20bd-6ad6-4603-950b-64803647a4e5&quot; , host : host ) { :ok , % Circlex.Struct.Payout { adjustments : nil , amount : % Circlex.Struct.Amount { amount : &quot;12111.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T20:03:32.718Z&quot; , destination : % Circlex.Struct.SourceDest { id : &quot;4847be95-8b73-44cc-a329-549a25a776e2&quot; , type : :wire } , fees : % Circlex.Struct.Amount { amount : &quot;25.00&quot; , currency : &quot;USD&quot; } , id : &quot;5e2e20bd-6ad6-4603-950b-64803647a4e5&quot; , return : nil , risk_evaluation : nil , source_wallet_id : &quot;1000788811&quot; , status : &quot;complete&quot; , tracking_ref : nil , update_date : &quot;2022-07-15T20:20:32.255Z&quot; } }","ref":"Circlex.Api.Payouts.Payouts.html#get_payout/2","title":"Circlex.Api.Payouts.Payouts.get_payout/2","type":"function"},{"doc":"Get a list of payouts. Reference: https://developers.circle.com/reference/payouts-payouts-get TODO: Filters Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payouts.Payouts . list_payouts ( host : host ) { :ok , [ % Circlex.Struct.Payout { adjustments : nil , amount : % Circlex.Struct.Amount { amount : &quot;12111.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T20:03:32.718Z&quot; , destination : % Circlex.Struct.SourceDest { id : &quot;4847be95-8b73-44cc-a329-549a25a776e2&quot; , type : :wire } , fees : % Circlex.Struct.Amount { amount : &quot;25.00&quot; , currency : &quot;USD&quot; } , id : &quot;5e2e20bd-6ad6-4603-950b-64803647a4e5&quot; , return : nil , risk_evaluation : nil , source_wallet_id : &quot;1000788811&quot; , status : &quot;complete&quot; , tracking_ref : nil , update_date : &quot;2022-07-15T20:20:32.255Z&quot; } , % Circlex.Struct.Payout { adjustments : nil , amount : % Circlex.Struct.Amount { amount : &quot;12111.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T20:03:32.718Z&quot; , destination : % Circlex.Struct.SourceDest { id : &quot;4847be95-8b73-44cc-a329-549a25a776e2&quot; , type : :wire } , fees : % Circlex.Struct.Amount { amount : &quot;25.00&quot; , currency : &quot;USD&quot; } , id : &quot;6e2e20bd-6ad6-4603-950b-64803647a4e6&quot; , return : nil , risk_evaluation : nil , source_wallet_id : &quot;1000216185&quot; , status : &quot;complete&quot; , tracking_ref : nil , update_date : &quot;2022-07-15T20:20:32.255Z&quot; } ] }","ref":"Circlex.Api.Payouts.Payouts.html#list_payouts/1","title":"Circlex.Api.Payouts.Payouts.list_payouts/1","type":"function"},{"doc":"API Client to the Payouts Transfers API. Reference: https://developers.circle.com/reference/payouts-transfers-create","ref":"Circlex.Api.Payouts.Transfers.html","title":"Circlex.Api.Payouts.Transfers","type":"module"},{"doc":"A transfer can be made from an existing funded wallet to a blockchain address or another wallet. Reference: https://developers.circle.com/reference/payouts-transfers-create Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; source = %{ id : &quot;1000788811&quot; , type : &quot;wallet&quot; } iex&gt; destination = %{ address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : &quot;blockchain&quot; } iex&gt; amount = %{ amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } iex&gt; Circlex.Api.Payouts.Transfers . create ( source , destination , amount , host : host ) { :ok , % Circlex.Struct.Transfer { amount : % Circlex.Struct.Amount { amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-17T08:59:41.344582Z&quot; , destination : % Circlex.Struct.SourceDest { address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : :blockchain } , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; , source : % Circlex.Struct.SourceDest { id : &quot;1000788811&quot; , type : :wallet } , status : &quot;pending&quot; , transaction_hash : nil } }","ref":"Circlex.Api.Payouts.Transfers.html#create/4","title":"Circlex.Api.Payouts.Transfers.create/4","type":"function"},{"doc":"Get a transfer. Reference: https://developers.circle.com/reference/payouts-transfers-get-id Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payouts.Transfers . get_transfer ( &quot;588aa258-51c4-4a69-a3bc-88f007375364&quot; , host : host ) { :ok , % Circlex.Struct.Transfer { amount : % Circlex.Struct.Amount { amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T23:51:42.729Z&quot; , destination : % Circlex.Struct.SourceDest { address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : :blockchain } , id : &quot;588aa258-51c4-4a69-a3bc-88f007375364&quot; , source : % Circlex.Struct.SourceDest { id : &quot;1000788811&quot; , type : :wallet } , status : &quot;complete&quot; , transaction_hash : &quot;0x69c8f26c43ec6028c785ab64083758857719806a444135d978c6e730f565ad18&quot; } }","ref":"Circlex.Api.Payouts.Transfers.html#get_transfer/2","title":"Circlex.Api.Payouts.Transfers.get_transfer/2","type":"function"},{"doc":"Searches for transfers involving the provided wallets. Reference: https://developers.circle.com/reference/payouts-transfers-get TODO: Filters Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Payouts.Transfers . list_transfers ( host : host ) { :ok , [ % Circlex.Struct.Transfer { amount : % Circlex.Struct.Amount { amount : &quot;12345.00&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-07-15T23:51:42.729Z&quot; , destination : % Circlex.Struct.SourceDest { address : &quot;0x871A9FF377eCf2632A0928950dCEb181557F2e17&quot; , chain : &quot;ETH&quot; , type : :blockchain } , id : &quot;588aa258-51c4-4a69-a3bc-88f007375364&quot; , source : % Circlex.Struct.SourceDest { id : &quot;1000788811&quot; , type : :wallet } , status : &quot;complete&quot; , transaction_hash : &quot;0x69c8f26c43ec6028c785ab64083758857719806a444135d978c6e730f565ad18&quot; } , % Circlex.Struct.Transfer { amount : % Circlex.Struct.Amount { amount : &quot;8999998.14&quot; , currency : &quot;USD&quot; } , create_date : &quot;2022-05-05T16:49:04.541Z&quot; , destination : % Circlex.Struct.SourceDest { address : &quot;0x2Eb953F992D4fa6E769FABf25D8218f21b793558&quot; , chain : &quot;ETH&quot; , type : :blockchain } , id : &quot;83f18616-0f26-499a-aa8f-4fa4d563b974&quot; , source : % Circlex.Struct.SourceDest { id : &quot;1000216185&quot; , type : :wallet } , status : &quot;complete&quot; , transaction_hash : &quot;0xef6cf276368eb0e36162074b1c17a3256df14635c8603f076e826650c9f8a9ff&quot; } ] }","ref":"Circlex.Api.Payouts.Transfers.html#list_transfers/1","title":"Circlex.Api.Payouts.Transfers.list_transfers/1","type":"function"},{"doc":"API Client to the Stabecoins API. Reference: https://developers.circle.com/reference/getstablecoins","ref":"Circlex.Api.Stablecoins.html","title":"Circlex.Api.Stablecoins","type":"module"},{"doc":"Retrieves total circulating supply for supported stablecoins across all chains. Reference: https://developers.circle.com/reference/getstablecoins Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Stablecoins . get_stablecoins ( host : host ) { :ok , [ %{ chains : [ %{ amount : &quot;1050479.52&quot; , chain : &quot;ETH&quot; , update_date : &quot;2022-07-18T01:29:29.950788Z&quot; } ] , name : &quot;Euro Coin&quot; , symbol : &quot;EUROC&quot; , total_amount : &quot;1050479.52&quot; } , %{ chains : [ %{ amount : &quot;252665756155.330491&quot; , chain : &quot;ALGO&quot; , update_date : &quot;2022-07-18T01:29:30.526357Z&quot; } , %{ amount : &quot;6323082119.02&quot; , chain : &quot;AVAX&quot; , update_date : &quot;2022-07-18T01:29:30.560738Z&quot; } , %{ amount : &quot;309009160808.08&quot; , chain : &quot;ETH&quot; , update_date : &quot;2022-07-18T01:29:30.285124Z&quot; } , %{ amount : &quot;2768511837.06&quot; , chain : &quot;FLOW&quot; , update_date : &quot;2022-07-18T01:29:30.461867Z&quot; } , %{ amount : &quot;5522363273.65&quot; , chain : &quot;HBAR&quot; , update_date : &quot;2022-06-22T14:40:57.074283Z&quot; } , %{ amount : &quot;22068229341.84&quot; , chain : &quot;SOL&quot; , update_date : &quot;2022-07-18T01:29:30.159087Z&quot; } , %{ amount : &quot;1117948763.83&quot; , chain : &quot;TRX&quot; , update_date : &quot;2022-07-18T01:29:30.202047Z&quot; } , %{ amount : &quot;3524683080.1912893&quot; , chain : &quot;XLM&quot; , update_date : &quot;2022-07-18T01:29:30.244743Z&quot; } ] , name : &quot;USD Coin&quot; , symbol : &quot;USDC&quot; , total_amount : &quot;602999735379.0017803&quot; } ] }","ref":"Circlex.Api.Stablecoins.html#get_stablecoins/1","title":"Circlex.Api.Stablecoins.get_stablecoins/1","type":"function"},{"doc":"API Client to the Subscriptions API. Reference: https://developers.circle.com/reference/listsubscriptions","ref":"Circlex.Api.Subscriptions.html","title":"Circlex.Api.Subscriptions","type":"module"},{"doc":"Retrieve a list of existing notification subscriptions with details. Reference: https://developers.circle.com/reference/listsubscriptions Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Subscriptions . list_subscriptions ( host : host ) { :ok , [ % Circlex.Struct.Subscription { endpoint : &quot;https://us-west1-treasury-stage.cloudfunctions.net/treasury-circle-sns-subscriber-function-443f885&quot; , id : &quot;8e25e48a-8c84-4186-988c-4055bda7807a&quot; , subscription_details : [ %{ &quot;status&quot; =&gt; &quot;confirmed&quot; , &quot;url&quot; =&gt; &quot;arn:aws:sns:us-east-1:908968368384:sandbox_platform-notifications-topic:3c849cdd-af12-4c28-a4fe-d0d037079cc0&quot; } , %{ &quot;status&quot; =&gt; &quot;confirmed&quot; , &quot;url&quot; =&gt; &quot;arn:aws:sns:us-west-2:908968368384:sandbox_platform-notifications-topic:48a51c19-6549-4b9c-be4a-926f77bb95a0&quot; } ] } ] }","ref":"Circlex.Api.Subscriptions.html#list_subscriptions/1","title":"Circlex.Api.Subscriptions.list_subscriptions/1","type":"function"},{"doc":"Subscribe to receiving notifications at a given endpoint. Reference: https://developers.circle.com/reference/subscribe Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Subscriptions . subscribe ( &quot;https://example.com&quot; , host : host ) { :ok , % Circlex.Struct.Subscription { endpoint : &quot;https://example.com&quot; , id : &quot;a033a6d8-05ae-11ed-9e62-6a1733211c00&quot; , subscription_details : [ ] } }","ref":"Circlex.Api.Subscriptions.html#subscribe/2","title":"Circlex.Api.Subscriptions.subscribe/2","type":"function"},{"doc":"To remove a subscription, all its subscription requests' statuses must be either 'confirmed', 'deleted' or a combination of those. Reference: https://developers.circle.com/reference/unsubscribe Examples iex&gt; host = Circlex.Test . start_server ( ) iex&gt; Circlex.Api.Subscriptions . unsubscribe ( &quot;8e25e48a-8c84-4186-988c-4055bda7807a&quot; , host : host ) { :ok , %{ } }","ref":"Circlex.Api.Subscriptions.html#unsubscribe/2","title":"Circlex.Api.Subscriptions.unsubscribe/2","type":"function"},{"doc":"","ref":"Circlex.Api.Tooling.html","title":"Circlex.Api.Tooling","type":"module"},{"doc":"","ref":"Circlex.Api.Tooling.html#api_delete/2","title":"Circlex.Api.Tooling.api_delete/2","type":"function"},{"doc":"","ref":"Circlex.Api.Tooling.html#api_get/2","title":"Circlex.Api.Tooling.api_get/2","type":"function"},{"doc":"","ref":"Circlex.Api.Tooling.html#api_post/3","title":"Circlex.Api.Tooling.api_post/3","type":"function"},{"doc":"","ref":"Circlex.Api.Tooling.html#not_implemented/0","title":"Circlex.Api.Tooling.not_implemented/0","type":"function"},{"doc":"A basic server to mimic the functionality of Circle.","ref":"Circlex.Emulator.html","title":"Circlex.Emulator","type":"module"},{"doc":"","ref":"Circlex.Emulator.html#action_delay/0","title":"Circlex.Emulator.action_delay/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.html#child_spec/1","title":"Circlex.Emulator.child_spec/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.html#emulator_config/0","title":"Circlex.Emulator.emulator_config/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.html#merchant_id/0","title":"Circlex.Emulator.merchant_id/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.html#start/1","title":"Circlex.Emulator.start/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.html#usdc_address/0","title":"Circlex.Emulator.usdc_address/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.html#t:opt/0","title":"Circlex.Emulator.opt/0","type":"type"},{"doc":"Models a wire payment (transfer in) When we create a wire, we will credit the account's master wallet. Note: we do not need to initiate any on-chain transfers","ref":"Circlex.Emulator.Actor.PaymentActor.html","title":"Circlex.Emulator.Actor.PaymentActor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Circlex.Emulator.Actor.PaymentActor.html#child_spec/1","title":"Circlex.Emulator.Actor.PaymentActor.child_spec/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Actor.PaymentActor.html#start_link/1","title":"Circlex.Emulator.Actor.PaymentActor.start_link/1","type":"function"},{"doc":"Models a wire payout (transfer out) When we create a wire, we will debit the account's master wallet. Note: we do not need to initiate any on-chain transfers.","ref":"Circlex.Emulator.Actor.PayoutActor.html","title":"Circlex.Emulator.Actor.PayoutActor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Circlex.Emulator.Actor.PayoutActor.html#child_spec/1","title":"Circlex.Emulator.Actor.PayoutActor.child_spec/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Actor.PayoutActor.html#start_link/1","title":"Circlex.Emulator.Actor.PayoutActor.start_link/1","type":"function"},{"doc":"Handles a transfer, either in or out, specifically handling: 1. Blockchain -&gt; Wallet 2. Wallet -&gt; Wallet 3. Wallet -&gt; Blockchain","ref":"Circlex.Emulator.Actor.TransferActor.html","title":"Circlex.Emulator.Actor.TransferActor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Circlex.Emulator.Actor.TransferActor.html#child_spec/1","title":"Circlex.Emulator.Actor.TransferActor.child_spec/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Actor.TransferActor.html#start_link/1","title":"Circlex.Emulator.Actor.TransferActor.start_link/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.html","title":"Circlex.Emulator.Api","type":"module"},{"doc":"","ref":"Circlex.Emulator.Api.html#api_handle/3","title":"Circlex.Emulator.Api.api_handle/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.html#api_params/1","title":"Circlex.Emulator.Api.api_params/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.html#define_route/6","title":"Circlex.Emulator.Api.define_route/6","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.html#define_routes/1","title":"Circlex.Emulator.Api.define_routes/1","type":"macro"},{"doc":"","ref":"Circlex.Emulator.Api.html#get_master_source/0","title":"Circlex.Emulator.Api.get_master_source/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.html#get_master_wallet/0","title":"Circlex.Emulator.Api.get_master_wallet/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.html#json!/3","title":"Circlex.Emulator.Api.json!/3","type":"function"},{"doc":"Mounted under /v1/wallets .","ref":"Circlex.Emulator.Api.Accounts.WalletsApi.html","title":"Circlex.Emulator.Api.Accounts.WalletsApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Accounts.WalletsApi.html#call/2","title":"Circlex.Emulator.Api.Accounts.WalletsApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Accounts.WalletsApi.html#create_wallet/1","title":"Circlex.Emulator.Api.Accounts.WalletsApi.create_wallet/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Accounts.WalletsApi.html#generate_blockchain_address/1","title":"Circlex.Emulator.Api.Accounts.WalletsApi.generate_blockchain_address/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Accounts.WalletsApi.html#get_wallet/1","title":"Circlex.Emulator.Api.Accounts.WalletsApi.get_wallet/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Accounts.WalletsApi.html#init/1","title":"Circlex.Emulator.Api.Accounts.WalletsApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Accounts.WalletsApi.html#list_addresses/1","title":"Circlex.Emulator.Api.Accounts.WalletsApi.list_addresses/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Accounts.WalletsApi.html#list_wallets/1","title":"Circlex.Emulator.Api.Accounts.WalletsApi.list_wallets/1","type":"function"},{"doc":"Mounted under /circlex .","ref":"Circlex.Emulator.Api.CirclexApi.html","title":"Circlex.Emulator.Api.CirclexApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.CirclexApi.html#call/2","title":"Circlex.Emulator.Api.CirclexApi.call/2","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.CirclexApi.html#init/1","title":"Circlex.Emulator.Api.CirclexApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.CirclexApi.html#save/1","title":"Circlex.Emulator.Api.CirclexApi.save/1","type":"function"},{"doc":"Mounted under /v1/businessAccount/wallet/addresses .","ref":"Circlex.Emulator.Api.Core.AddressesApi.html","title":"Circlex.Emulator.Api.Core.AddressesApi","type":"module"},{"doc":"","ref":"Circlex.Emulator.Api.Core.AddressesApi.html#add_recipient_address/1","title":"Circlex.Emulator.Api.Core.AddressesApi.add_recipient_address/1","type":"function"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Core.AddressesApi.html#call/2","title":"Circlex.Emulator.Api.Core.AddressesApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.AddressesApi.html#generate_deposit_address/1","title":"Circlex.Emulator.Api.Core.AddressesApi.generate_deposit_address/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Core.AddressesApi.html#init/1","title":"Circlex.Emulator.Api.Core.AddressesApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.AddressesApi.html#list_deposit_addresses/1","title":"Circlex.Emulator.Api.Core.AddressesApi.list_deposit_addresses/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.AddressesApi.html#list_recipient_addresses/1","title":"Circlex.Emulator.Api.Core.AddressesApi.list_recipient_addresses/1","type":"function"},{"doc":"Mounted under /v1/businessAccount/balances .","ref":"Circlex.Emulator.Api.Core.BalancesApi.html","title":"Circlex.Emulator.Api.Core.BalancesApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Core.BalancesApi.html#call/2","title":"Circlex.Emulator.Api.Core.BalancesApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.BalancesApi.html#get_balances/1","title":"Circlex.Emulator.Api.Core.BalancesApi.get_balances/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Core.BalancesApi.html#init/1","title":"Circlex.Emulator.Api.Core.BalancesApi.init/1","type":"function"},{"doc":"Mounted under /v1/businessAccount/banks and /v1/banks","ref":"Circlex.Emulator.Api.Core.BankAccountsApi.html","title":"Circlex.Emulator.Api.Core.BankAccountsApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Core.BankAccountsApi.html#call/2","title":"Circlex.Emulator.Api.Core.BankAccountsApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.BankAccountsApi.html#create_bank_account/1","title":"Circlex.Emulator.Api.Core.BankAccountsApi.create_bank_account/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.BankAccountsApi.html#get_bank_account/1","title":"Circlex.Emulator.Api.Core.BankAccountsApi.get_bank_account/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Core.BankAccountsApi.html#init/1","title":"Circlex.Emulator.Api.Core.BankAccountsApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.BankAccountsApi.html#list_bank_accounts/1","title":"Circlex.Emulator.Api.Core.BankAccountsApi.list_bank_accounts/1","type":"function"},{"doc":"Mounted under /v1/businessAccount/payouts .","ref":"Circlex.Emulator.Api.Core.PayoutsApi.html","title":"Circlex.Emulator.Api.Core.PayoutsApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Core.PayoutsApi.html#call/2","title":"Circlex.Emulator.Api.Core.PayoutsApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.PayoutsApi.html#create_payout/1","title":"Circlex.Emulator.Api.Core.PayoutsApi.create_payout/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.PayoutsApi.html#get_payout/1","title":"Circlex.Emulator.Api.Core.PayoutsApi.get_payout/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Core.PayoutsApi.html#init/1","title":"Circlex.Emulator.Api.Core.PayoutsApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.PayoutsApi.html#list_payouts/1","title":"Circlex.Emulator.Api.Core.PayoutsApi.list_payouts/1","type":"function"},{"doc":"Mounted under /v1/businessAccount/transfers .","ref":"Circlex.Emulator.Api.Core.TransfersApi.html","title":"Circlex.Emulator.Api.Core.TransfersApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Core.TransfersApi.html#call/2","title":"Circlex.Emulator.Api.Core.TransfersApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.TransfersApi.html#create_transfer/1","title":"Circlex.Emulator.Api.Core.TransfersApi.create_transfer/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.TransfersApi.html#get_transfer/1","title":"Circlex.Emulator.Api.Core.TransfersApi.get_transfer/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Core.TransfersApi.html#init/1","title":"Circlex.Emulator.Api.Core.TransfersApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Core.TransfersApi.html#list_transfers/1","title":"Circlex.Emulator.Api.Core.TransfersApi.list_transfers/1","type":"function"},{"doc":"Mounted under /ping .","ref":"Circlex.Emulator.Api.HealthApi.html","title":"Circlex.Emulator.Api.HealthApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.HealthApi.html#call/2","title":"Circlex.Emulator.Api.HealthApi.call/2","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.HealthApi.html#init/1","title":"Circlex.Emulator.Api.HealthApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.HealthApi.html#ping/1","title":"Circlex.Emulator.Api.HealthApi.ping/1","type":"function"},{"doc":"Mounted under /v1/configuration .","ref":"Circlex.Emulator.Api.ManagementApi.html","title":"Circlex.Emulator.Api.ManagementApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.ManagementApi.html#call/2","title":"Circlex.Emulator.Api.ManagementApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.ManagementApi.html#get_config/1","title":"Circlex.Emulator.Api.ManagementApi.get_config/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.ManagementApi.html#init/1","title":"Circlex.Emulator.Api.ManagementApi.init/1","type":"function"},{"doc":"Mounted under /v1/mocks .","ref":"Circlex.Emulator.Api.MocksApi.html","title":"Circlex.Emulator.Api.MocksApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.MocksApi.html#call/2","title":"Circlex.Emulator.Api.MocksApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.MocksApi.html#create_mock_wire/1","title":"Circlex.Emulator.Api.MocksApi.create_mock_wire/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.MocksApi.html#init/1","title":"Circlex.Emulator.Api.MocksApi.init/1","type":"function"},{"doc":"Mounted under /v1/payments .","ref":"Circlex.Emulator.Api.Payments.PaymentsApi.html","title":"Circlex.Emulator.Api.Payments.PaymentsApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Payments.PaymentsApi.html#call/2","title":"Circlex.Emulator.Api.Payments.PaymentsApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Payments.PaymentsApi.html#get_payment/1","title":"Circlex.Emulator.Api.Payments.PaymentsApi.get_payment/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Payments.PaymentsApi.html#init/1","title":"Circlex.Emulator.Api.Payments.PaymentsApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Payments.PaymentsApi.html#list_payments/1","title":"Circlex.Emulator.Api.Payments.PaymentsApi.list_payments/1","type":"function"},{"doc":"Mounted under /v1/payouts .","ref":"Circlex.Emulator.Api.Payouts.PayoutsApi.html","title":"Circlex.Emulator.Api.Payouts.PayoutsApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Payouts.PayoutsApi.html#call/2","title":"Circlex.Emulator.Api.Payouts.PayoutsApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Payouts.PayoutsApi.html#create_payout/1","title":"Circlex.Emulator.Api.Payouts.PayoutsApi.create_payout/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Payouts.PayoutsApi.html#get_payout/1","title":"Circlex.Emulator.Api.Payouts.PayoutsApi.get_payout/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Payouts.PayoutsApi.html#init/1","title":"Circlex.Emulator.Api.Payouts.PayoutsApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Payouts.PayoutsApi.html#list_payouts/1","title":"Circlex.Emulator.Api.Payouts.PayoutsApi.list_payouts/1","type":"function"},{"doc":"Mounted under /v1/transfers .","ref":"Circlex.Emulator.Api.Payouts.TransfersApi.html","title":"Circlex.Emulator.Api.Payouts.TransfersApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.Payouts.TransfersApi.html#call/2","title":"Circlex.Emulator.Api.Payouts.TransfersApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Payouts.TransfersApi.html#create_transfer/1","title":"Circlex.Emulator.Api.Payouts.TransfersApi.create_transfer/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Payouts.TransfersApi.html#get_transfer/1","title":"Circlex.Emulator.Api.Payouts.TransfersApi.get_transfer/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.Payouts.TransfersApi.html#init/1","title":"Circlex.Emulator.Api.Payouts.TransfersApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.Payouts.TransfersApi.html#list_transfers/1","title":"Circlex.Emulator.Api.Payouts.TransfersApi.list_transfers/1","type":"function"},{"doc":"Mounted under /v1/stablecoins .","ref":"Circlex.Emulator.Api.StablecoinsApi.html","title":"Circlex.Emulator.Api.StablecoinsApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.StablecoinsApi.html#call/2","title":"Circlex.Emulator.Api.StablecoinsApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.StablecoinsApi.html#get_stablecoins/1","title":"Circlex.Emulator.Api.StablecoinsApi.get_stablecoins/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.StablecoinsApi.html#init/1","title":"Circlex.Emulator.Api.StablecoinsApi.init/1","type":"function"},{"doc":"Mounted under /v1/notifications/subscriptions .","ref":"Circlex.Emulator.Api.SubscriptionsApi.html","title":"Circlex.Emulator.Api.SubscriptionsApi","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Api.SubscriptionsApi.html#call/2","title":"Circlex.Emulator.Api.SubscriptionsApi.call/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.SubscriptionsApi.html#create_subscription/1","title":"Circlex.Emulator.Api.SubscriptionsApi.create_subscription/1","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Api.SubscriptionsApi.html#init/1","title":"Circlex.Emulator.Api.SubscriptionsApi.init/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.SubscriptionsApi.html#list_subscriptions/1","title":"Circlex.Emulator.Api.SubscriptionsApi.list_subscriptions/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Api.SubscriptionsApi.html#remove_subscription/1","title":"Circlex.Emulator.Api.SubscriptionsApi.remove_subscription/1","type":"function"},{"doc":"Checks for Deposits","ref":"Circlex.Emulator.DepositDetector.html","title":"Circlex.Emulator.DepositDetector","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Circlex.Emulator.DepositDetector.html#child_spec/1","title":"Circlex.Emulator.DepositDetector.child_spec/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.DepositDetector.html#start_link/1","title":"Circlex.Emulator.DepositDetector.start_link/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.BankAccountLogic.html","title":"Circlex.Emulator.Logic.BankAccountLogic","type":"module"},{"doc":"","ref":"Circlex.Emulator.Logic.BankAccountLogic.html#add_bank_account/2","title":"Circlex.Emulator.Logic.BankAccountLogic.add_bank_account/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.BankAccountLogic.html#get_bank_account/2","title":"Circlex.Emulator.Logic.BankAccountLogic.get_bank_account/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.BankAccountLogic.html#get_bank_account_by/3","title":"Circlex.Emulator.Logic.BankAccountLogic.get_bank_account_by/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.BankAccountLogic.html#update_bank_account/3","title":"Circlex.Emulator.Logic.BankAccountLogic.update_bank_account/3","type":"function"},{"doc":"Helper functions for common logic utilities.","ref":"Circlex.Emulator.Logic.LogicUtil.html","title":"Circlex.Emulator.Logic.LogicUtil","type":"module"},{"doc":"","ref":"Circlex.Emulator.Logic.LogicUtil.html#add_currencies/2","title":"Circlex.Emulator.Logic.LogicUtil.add_currencies/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.LogicUtil.html#apply_filters/2","title":"Circlex.Emulator.Logic.LogicUtil.apply_filters/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.LogicUtil.html#find!/2","title":"Circlex.Emulator.Logic.LogicUtil.find!/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.LogicUtil.html#find/2","title":"Circlex.Emulator.Logic.LogicUtil.find/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.LogicUtil.html#update/4","title":"Circlex.Emulator.Logic.LogicUtil.update/4","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.LogicUtil.html#update_or_add/3","title":"Circlex.Emulator.Logic.LogicUtil.update_or_add/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.PaymentLogic.html","title":"Circlex.Emulator.Logic.PaymentLogic","type":"module"},{"doc":"","ref":"Circlex.Emulator.Logic.PaymentLogic.html#add_payment/2","title":"Circlex.Emulator.Logic.PaymentLogic.add_payment/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.PaymentLogic.html#get_payment/2","title":"Circlex.Emulator.Logic.PaymentLogic.get_payment/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.PaymentLogic.html#process_payment/2","title":"Circlex.Emulator.Logic.PaymentLogic.process_payment/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.PaymentLogic.html#update_payment/3","title":"Circlex.Emulator.Logic.PaymentLogic.update_payment/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.PayoutLogic.html","title":"Circlex.Emulator.Logic.PayoutLogic","type":"module"},{"doc":"","ref":"Circlex.Emulator.Logic.PayoutLogic.html#add_payout/2","title":"Circlex.Emulator.Logic.PayoutLogic.add_payout/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.PayoutLogic.html#get_payout/2","title":"Circlex.Emulator.Logic.PayoutLogic.get_payout/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.PayoutLogic.html#process_payout/2","title":"Circlex.Emulator.Logic.PayoutLogic.process_payout/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.PayoutLogic.html#update_payout/3","title":"Circlex.Emulator.Logic.PayoutLogic.update_payout/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.RecipientLogic.html","title":"Circlex.Emulator.Logic.RecipientLogic","type":"module"},{"doc":"","ref":"Circlex.Emulator.Logic.RecipientLogic.html#add_recipient/2","title":"Circlex.Emulator.Logic.RecipientLogic.add_recipient/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.RecipientLogic.html#get_recipient/2","title":"Circlex.Emulator.Logic.RecipientLogic.get_recipient/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.RecipientLogic.html#update_recipient/3","title":"Circlex.Emulator.Logic.RecipientLogic.update_recipient/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.SubscriptionLogic.html","title":"Circlex.Emulator.Logic.SubscriptionLogic","type":"module"},{"doc":"","ref":"Circlex.Emulator.Logic.SubscriptionLogic.html#add_subscription/2","title":"Circlex.Emulator.Logic.SubscriptionLogic.add_subscription/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.SubscriptionLogic.html#get_subscription/2","title":"Circlex.Emulator.Logic.SubscriptionLogic.get_subscription/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.SubscriptionLogic.html#remove_subscription/2","title":"Circlex.Emulator.Logic.SubscriptionLogic.remove_subscription/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.SubscriptionLogic.html#update_subscription/3","title":"Circlex.Emulator.Logic.SubscriptionLogic.update_subscription/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.TransferLogic.html","title":"Circlex.Emulator.Logic.TransferLogic","type":"module"},{"doc":"","ref":"Circlex.Emulator.Logic.TransferLogic.html#add_transfer/2","title":"Circlex.Emulator.Logic.TransferLogic.add_transfer/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.TransferLogic.html#get_transfer/2","title":"Circlex.Emulator.Logic.TransferLogic.get_transfer/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.TransferLogic.html#process_transfer/2","title":"Circlex.Emulator.Logic.TransferLogic.process_transfer/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.TransferLogic.html#update_transfer/3","title":"Circlex.Emulator.Logic.TransferLogic.update_transfer/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.WalletLogic.html","title":"Circlex.Emulator.Logic.WalletLogic","type":"module"},{"doc":"","ref":"Circlex.Emulator.Logic.WalletLogic.html#add_wallet/2","title":"Circlex.Emulator.Logic.WalletLogic.add_wallet/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.WalletLogic.html#get_wallet/2","title":"Circlex.Emulator.Logic.WalletLogic.get_wallet/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.WalletLogic.html#get_wallet_by_address/4","title":"Circlex.Emulator.Logic.WalletLogic.get_wallet_by_address/4","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.WalletLogic.html#master_wallet/1","title":"Circlex.Emulator.Logic.WalletLogic.master_wallet/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.WalletLogic.html#update_balance/3","title":"Circlex.Emulator.Logic.WalletLogic.update_balance/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.Logic.WalletLogic.html#update_wallet/3","title":"Circlex.Emulator.Logic.WalletLogic.update_wallet/3","type":"function"},{"doc":"Process to handle sending out notifications, such as SNS subscriptions.","ref":"Circlex.Emulator.Notifier.html","title":"Circlex.Emulator.Notifier","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Circlex.Emulator.Notifier.html#child_spec/1","title":"Circlex.Emulator.Notifier.child_spec/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Notifier.html#notify_payment/2","title":"Circlex.Emulator.Notifier.notify_payment/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Notifier.html#notify_payout/2","title":"Circlex.Emulator.Notifier.notify_payout/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Notifier.html#notify_transfer/2","title":"Circlex.Emulator.Notifier.notify_transfer/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.Notifier.html#start_link/1","title":"Circlex.Emulator.Notifier.start_link/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.Router.html","title":"Circlex.Emulator.Router","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"Circlex.Emulator.Router.html#call/2","title":"Circlex.Emulator.Router.call/2","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"Circlex.Emulator.Router.html#init/1","title":"Circlex.Emulator.Router.init/1","type":"function"},{"doc":"Service to simulate sending SNS notifications.","ref":"Circlex.Emulator.SNS.html","title":"Circlex.Emulator.SNS","type":"module"},{"doc":"","ref":"Circlex.Emulator.SNS.html#send_message/2","title":"Circlex.Emulator.SNS.send_message/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.SNS.html#sns_http_client/0","title":"Circlex.Emulator.SNS.sns_http_client/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.SNS.html#sns_topic_arn/0","title":"Circlex.Emulator.SNS.sns_topic_arn/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.SNS.Notification.html","title":"Circlex.Emulator.SNS.Notification","type":"module"},{"doc":"","ref":"Circlex.Emulator.SNS.Notification.html#new/1","title":"Circlex.Emulator.SNS.Notification.new/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.SNS.Notification.html#serialize/1","title":"Circlex.Emulator.SNS.Notification.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html","title":"Circlex.Emulator.State","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Circlex.Emulator.State.html#child_spec/1","title":"Circlex.Emulator.State.child_spec/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#get_in/2","title":"Circlex.Emulator.State.get_in/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#get_st/3","title":"Circlex.Emulator.State.get_st/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#next/1","title":"Circlex.Emulator.State.next/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#persist/1","title":"Circlex.Emulator.State.persist/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#put_in/2","title":"Circlex.Emulator.State.put_in/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#restore_state/1","title":"Circlex.Emulator.State.restore_state/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#serialize_state/0","title":"Circlex.Emulator.State.serialize_state/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#start_link/1","title":"Circlex.Emulator.State.start_link/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.html#update_st/3","title":"Circlex.Emulator.State.update_st/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html","title":"Circlex.Emulator.State.BankAccountState","type":"module"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#add_bank_account/1","title":"Circlex.Emulator.State.BankAccountState.add_bank_account/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#all_bank_accounts/1","title":"Circlex.Emulator.State.BankAccountState.all_bank_accounts/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#deserialize/1","title":"Circlex.Emulator.State.BankAccountState.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#get_bank_account/2","title":"Circlex.Emulator.State.BankAccountState.get_bank_account/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#get_bank_account_by_tracking_ref/2","title":"Circlex.Emulator.State.BankAccountState.get_bank_account_by_tracking_ref/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#initial_state/0","title":"Circlex.Emulator.State.BankAccountState.initial_state/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#new_bank_account/4","title":"Circlex.Emulator.State.BankAccountState.new_bank_account/4","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#serialize/1","title":"Circlex.Emulator.State.BankAccountState.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.BankAccountState.html#update_bank_account/2","title":"Circlex.Emulator.State.BankAccountState.update_bank_account/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html","title":"Circlex.Emulator.State.PaymentState","type":"module"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html#add_payment/1","title":"Circlex.Emulator.State.PaymentState.add_payment/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html#all_payments/1","title":"Circlex.Emulator.State.PaymentState.all_payments/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html#deserialize/1","title":"Circlex.Emulator.State.PaymentState.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html#get_payment/2","title":"Circlex.Emulator.State.PaymentState.get_payment/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html#initial_state/0","title":"Circlex.Emulator.State.PaymentState.initial_state/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html#new_payment/4","title":"Circlex.Emulator.State.PaymentState.new_payment/4","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html#serialize/1","title":"Circlex.Emulator.State.PaymentState.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PaymentState.html#update_payment/2","title":"Circlex.Emulator.State.PaymentState.update_payment/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html","title":"Circlex.Emulator.State.PayoutState","type":"module"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html#add_payout/1","title":"Circlex.Emulator.State.PayoutState.add_payout/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html#all_payouts/1","title":"Circlex.Emulator.State.PayoutState.all_payouts/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html#deserialize/1","title":"Circlex.Emulator.State.PayoutState.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html#get_payout/2","title":"Circlex.Emulator.State.PayoutState.get_payout/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html#initial_state/0","title":"Circlex.Emulator.State.PayoutState.initial_state/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html#new_payout/5","title":"Circlex.Emulator.State.PayoutState.new_payout/5","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html#serialize/1","title":"Circlex.Emulator.State.PayoutState.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.PayoutState.html#update_payout/2","title":"Circlex.Emulator.State.PayoutState.update_payout/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html","title":"Circlex.Emulator.State.RecipientState","type":"module"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html#add_recipient/1","title":"Circlex.Emulator.State.RecipientState.add_recipient/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html#all_recipients/1","title":"Circlex.Emulator.State.RecipientState.all_recipients/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html#deserialize/1","title":"Circlex.Emulator.State.RecipientState.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html#get_recipient/2","title":"Circlex.Emulator.State.RecipientState.get_recipient/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html#initial_state/0","title":"Circlex.Emulator.State.RecipientState.initial_state/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html#new_recipient/4","title":"Circlex.Emulator.State.RecipientState.new_recipient/4","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html#serialize/1","title":"Circlex.Emulator.State.RecipientState.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.RecipientState.html#update_recipient/2","title":"Circlex.Emulator.State.RecipientState.update_recipient/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html","title":"Circlex.Emulator.State.SubscriptionState","type":"module"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#add_subscription/1","title":"Circlex.Emulator.State.SubscriptionState.add_subscription/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#all_subscriptions/1","title":"Circlex.Emulator.State.SubscriptionState.all_subscriptions/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#deserialize/1","title":"Circlex.Emulator.State.SubscriptionState.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#get_subscription/2","title":"Circlex.Emulator.State.SubscriptionState.get_subscription/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#initial_state/0","title":"Circlex.Emulator.State.SubscriptionState.initial_state/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#new_subscription/1","title":"Circlex.Emulator.State.SubscriptionState.new_subscription/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#remove_subscription/1","title":"Circlex.Emulator.State.SubscriptionState.remove_subscription/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#serialize/1","title":"Circlex.Emulator.State.SubscriptionState.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.SubscriptionState.html#update_subscription/2","title":"Circlex.Emulator.State.SubscriptionState.update_subscription/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html","title":"Circlex.Emulator.State.TransferState","type":"module"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html#add_transfer/1","title":"Circlex.Emulator.State.TransferState.add_transfer/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html#all_transfers/1","title":"Circlex.Emulator.State.TransferState.all_transfers/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html#deserialize/1","title":"Circlex.Emulator.State.TransferState.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html#get_transfer/2","title":"Circlex.Emulator.State.TransferState.get_transfer/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html#initial_state/0","title":"Circlex.Emulator.State.TransferState.initial_state/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html#new_transfer/4","title":"Circlex.Emulator.State.TransferState.new_transfer/4","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html#serialize/1","title":"Circlex.Emulator.State.TransferState.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.TransferState.html#update_transfer/2","title":"Circlex.Emulator.State.TransferState.update_transfer/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.Util.html","title":"Circlex.Emulator.State.Util","type":"module"},{"doc":"","ref":"Circlex.Emulator.State.Util.html#apply_filters/2","title":"Circlex.Emulator.State.Util.apply_filters/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.Util.html#fetch/2","title":"Circlex.Emulator.State.Util.fetch/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.Util.html#merchant_id/0","title":"Circlex.Emulator.State.Util.merchant_id/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html","title":"Circlex.Emulator.State.WalletState","type":"module"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#add_wallet/1","title":"Circlex.Emulator.State.WalletState.add_wallet/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#all_wallets/0","title":"Circlex.Emulator.State.WalletState.all_wallets/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#deserialize/1","title":"Circlex.Emulator.State.WalletState.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#get_wallet/1","title":"Circlex.Emulator.State.WalletState.get_wallet/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#get_wallet_by_address/3","title":"Circlex.Emulator.State.WalletState.get_wallet_by_address/3","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#initial_state/0","title":"Circlex.Emulator.State.WalletState.initial_state/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#master_wallet/0","title":"Circlex.Emulator.State.WalletState.master_wallet/0","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#new_wallet/2","title":"Circlex.Emulator.State.WalletState.new_wallet/2","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#serialize/1","title":"Circlex.Emulator.State.WalletState.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Emulator.State.WalletState.html#update_wallet/2","title":"Circlex.Emulator.State.WalletState.update_wallet/2","type":"function"},{"doc":"","ref":"Circlex.Struct.Address.html","title":"Circlex.Struct.Address","type":"module"},{"doc":"","ref":"Circlex.Struct.Address.html#deserialize/1","title":"Circlex.Struct.Address.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Address.html#match?/4","title":"Circlex.Struct.Address.match?/4","type":"function"},{"doc":"","ref":"Circlex.Struct.Address.html#serialize/1","title":"Circlex.Struct.Address.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Amount.html","title":"Circlex.Struct.Amount","type":"module"},{"doc":"","ref":"Circlex.Struct.Amount.html#decode_amount/1","title":"Circlex.Struct.Amount.decode_amount/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Amount.html#deserialize/1","title":"Circlex.Struct.Amount.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Amount.html#display/1","title":"Circlex.Struct.Amount.display/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Amount.html#encode_amount/1","title":"Circlex.Struct.Amount.encode_amount/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Amount.html#from_wei/2","title":"Circlex.Struct.Amount.from_wei/2","type":"function"},{"doc":"","ref":"Circlex.Struct.Amount.html#negate/1","title":"Circlex.Struct.Amount.negate/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Amount.html#serialize/1","title":"Circlex.Struct.Amount.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Amount.html#to_wei/2","title":"Circlex.Struct.Amount.to_wei/2","type":"function"},{"doc":"","ref":"Circlex.Struct.BankAccount.html","title":"Circlex.Struct.BankAccount","type":"module"},{"doc":"","ref":"Circlex.Struct.BankAccount.html#deserialize/1","title":"Circlex.Struct.BankAccount.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.BankAccount.html#serialize/1","title":"Circlex.Struct.BankAccount.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Payment.html","title":"Circlex.Struct.Payment","type":"module"},{"doc":"","ref":"Circlex.Struct.Payment.html#deserialize/1","title":"Circlex.Struct.Payment.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Payment.html#serialize/1","title":"Circlex.Struct.Payment.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Payout.html","title":"Circlex.Struct.Payout","type":"module"},{"doc":"","ref":"Circlex.Struct.Payout.html#deserialize/1","title":"Circlex.Struct.Payout.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Payout.html#serialize/1","title":"Circlex.Struct.Payout.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Recipient.html","title":"Circlex.Struct.Recipient","type":"module"},{"doc":"","ref":"Circlex.Struct.Recipient.html#deserialize/1","title":"Circlex.Struct.Recipient.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Recipient.html#serialize/1","title":"Circlex.Struct.Recipient.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.SourceDest.html","title":"Circlex.Struct.SourceDest","type":"module"},{"doc":"","ref":"Circlex.Struct.SourceDest.html#deserialize/1","title":"Circlex.Struct.SourceDest.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.SourceDest.html#serialize/1","title":"Circlex.Struct.SourceDest.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Subscription.html","title":"Circlex.Struct.Subscription","type":"module"},{"doc":"","ref":"Circlex.Struct.Subscription.html#deserialize/1","title":"Circlex.Struct.Subscription.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Subscription.html#serialize/1","title":"Circlex.Struct.Subscription.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Transfer.html","title":"Circlex.Struct.Transfer","type":"module"},{"doc":"","ref":"Circlex.Struct.Transfer.html#deserialize/1","title":"Circlex.Struct.Transfer.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Transfer.html#serialize/1","title":"Circlex.Struct.Transfer.serialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Util.html","title":"Circlex.Struct.Util","type":"module"},{"doc":"","ref":"Circlex.Struct.Util.html#fetch/2","title":"Circlex.Struct.Util.fetch/2","type":"function"},{"doc":"","ref":"Circlex.Struct.Wallet.html","title":"Circlex.Struct.Wallet","type":"module"},{"doc":"","ref":"Circlex.Struct.Wallet.html#deserialize/1","title":"Circlex.Struct.Wallet.deserialize/1","type":"function"},{"doc":"","ref":"Circlex.Struct.Wallet.html#get_balance/2","title":"Circlex.Struct.Wallet.get_balance/2","type":"function"},{"doc":"","ref":"Circlex.Struct.Wallet.html#serialize/2","title":"Circlex.Struct.Wallet.serialize/2","type":"function"},{"doc":"Starts the Emulator.","ref":"Mix.Tasks.Emulator.html","title":"Mix.Tasks.Emulator","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Emulator.html#run/1","title":"Mix.Tasks.Emulator.run/1","type":"function"},{"doc":"Circlex is a client libary for the Circle API, and a Circle API Server emulator. You can use Circlex's API client to get or post to the Circle API (e.g. in the sandbox, production). You can alternatively run a Circle API Emulator, that will act like a Circle server, accepting transfers, wires, managing wallet balances, and sending and receiving USDC transfers. This emulator can be run on a test-net (e.g. Goerli) or a local Ethereum net (e.g. Anvil, possibly forking Goerli).","ref":"readme.html","title":"Circlex 🪐","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding circlex to your list of dependencies in mix.exs : def deps do [ { :circlex_api , &quot;~&gt; 0.1.0-rc3&quot; } ] end","ref":"readme.html#installation","title":"Circlex 🪐 - Installation","type":"extras"},{"doc":"API Client To start an API client, set-up your Circlex application by specifying the Circle host, e.g. runtime.exs config :circlex_api , host : &quot;https://api-sandbox.circle.com&quot; , auth : System . get_env ( &quot;CIRCLE_AUTH&quot; ) Then you can run in your application: &gt; Circlex.API.Health . ping ( ) { :ok , %{ message : &quot;pong&quot; } } Emulator 🦦 To run the emulator, run: mix emulator You can specify a port, and an initial state: mix emulator -- port 3333 -- load test / support / initial_state . json State can be serialized in the emulator to a file, and loaded back on start. Configuring the Emulator You can specify the following environment variables to configure the emulator: USDC_ADDRESS={address of USDC token} USDC_HOLDER_PK={private key of USDC holder} ETHEREUM_REMOTE_NODE={ethereum node to attach to} The emulator expects to have the USDC_HOLDER_PK hold sufficient USDC to be able to make transfers out, otherwise they will fail. You can use a local deployment of USDC e.g. via Anvil , Hardhat or testrpc. The only requirement is that an ERC-20 token exists and the holder has sufficient funds of it. (That is, we do not mint tokens, we just take them from the holder). Note, you use a fork of Goerli to run the emulator on, just start Anvil with: anvil --fork-url https://goerli.infura.io/ and then specify: USDC_ADDRESS=&quot;0x07865c6e87b9f70255377e024ace6630c1eaa37f&quot; USDC_HOLDER_PK={private key of USDC holder} ETHEREUM_REMOTE_NODE=&quot;http://localhost:8085&quot; In a local fork, you will not need to worry about sending away your Goerli USDC. Persisting State Start an emulator, and then run: curl - XPOST http :// localhost : 3333 / circlex / save / my_state That should save your state to state/my_state.json . You can then reload that state with: mix emulator -- load state / my_state . json You can also persist state after every change by running: mix emulator -- persist state / my_state . json This will load and store the state with that JSON file so it's always in sync. This is not done particularly efficiently, so buyer beware.","ref":"readme.html#getting-started","title":"Circlex 🪐 - Getting Started","type":"extras"},{"doc":"Full documentation can be found at https://hexdocs.pm/circlex . Client Features The following APIs are supported by the API client: [x] Health API [x] Management API [ ] Encryption API [x] Subscriptions API [ ] Channels API [x] Stablecoins API [x] Core - Balances API [x] Core - Payouts API [x] Core - Bank Accounts API [x] Core - Transfers API [x] Core - Addresses API [ ] Core - Deposits API [x] Payments - Payments API [ ] Payments - Cards API [x] Payments - Bank Accounts API [ ] Payments - On-chain Payments API [ ] Payments - Settlements API [ ] Payments - Chargebacks API [ ] Payments - Reversals API [ ] Payments - Balances API [x] Payouts - Payouts API [x] Payouts - Bank Accounts API [x] Payouts - Transfers API [ ] Payouts - Returns API [x] Accounts - Wallets API [ ] Accounts - Transfers API Emulator Features The following APIs are supported by the emulator: [x] Health API [x] Management API [ ] Encryption API [x] Subscriptions API [ ] Channels API [x] Stablecoins API (*partial) [x] Core - Balances API [x] Core - Payouts API [x] Core - Bank Accounts API [x] Core - Transfers API [x] Core - Addresses API [ ] Core - Deposits API [x] Payments - Payments API [ ] Payments - Cards API [x] Payments - Bank Accounts API [ ] Payments - On-chain Payments API [ ] Payments - Settlements API [ ] Payments - Chargebacks API [ ] Payments - Reversals API [ ] Payments - Balances API [x] Payouts - Payouts API [x] Payouts - Bank Accounts API [x] Payouts - Transfers API [ ] Payouts - Returns API [x] Accounts - Wallets API [x] Accounts - Transfers API [x] Mocks (Wire) API Additionally, the emulator has the features: * Payment Actor * Payout Actor * Transfer Actor These actors follow the flows of a payment, payout or transfer from &quot;pending&quot; to &quot;complete&quot; possibly sending on-chain USDC transfers, etc, to match the role of a real Circle server.","ref":"readme.html#documentation","title":"Circlex 🪐 - Documentation","type":"extras"},{"doc":"Create a pull request to contribute to Circlex. All contributors agree to accept the license specified in this repository for all contributions to this project. See LICENSE.md .","ref":"readme.html#contributing","title":"Circlex 🪐 - Contributing","type":"extras"},{"doc":"Copyright Compound Labs, Inc., Geoffrey Hayes 2022 Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]